Package com.io7m.jregions.core.unparameterized.volumes

# Class VolumeL.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.volumes.VolumeL.Builder

Enclosing class:
  VolumeL

public static final class VolumeL.Builder extends Object
Builds instances of type `VolumeL`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VolumeL`
  `build()`
  Builds a new `VolumeL`.
  `final VolumeL.Builder`
  `from(VolumeLType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeLType` instance.
  `final VolumeL.Builder`
  `from(VolumeValuesLType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesLType` instance.
  `final VolumeL.Builder`
  `setMaximumX(long maximumX)`
  Initializes the value for the `maximumX` attribute.
  `final VolumeL.Builder`
  `setMaximumY(long maximumY)`
  Initializes the value for the `maximumY` attribute.
  `final VolumeL.Builder`
  `setMaximumZ(long maximumZ)`
  Initializes the value for the `maximumZ` attribute.
  `final VolumeL.Builder`
  `setMinimumX(long minimumX)`
  Initializes the value for the `minimumX` attribute.
  `final VolumeL.Builder`
  `setMinimumY(long minimumY)`
  Initializes the value for the `minimumY` attribute.
  `final VolumeL.Builder`
  `setMinimumZ(long minimumZ)`
  Initializes the value for the `minimumZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeL.Builder from(VolumeValuesLType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesLType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeL.Builder from(VolumeLType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeLType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final VolumeL.Builder setMinimumX(long minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final VolumeL.Builder setMaximumX(long maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final VolumeL.Builder setMinimumY(long minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final VolumeL.Builder setMaximumY(long maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumZ

    public final VolumeL.Builder setMinimumZ(long minimumZ)
    Initializes the value for the `minimumZ` attribute.
    Parameters:
      `minimumZ` - The value for minimumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final VolumeL.Builder setMaximumZ(long maximumZ)
    Initializes the value for the `maximumZ` attribute.
    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeL build()
    Builds a new `VolumeL`.
    Returns:
      An immutable instance of VolumeL
    Throws:
      `IllegalStateException` - if any required attributes are missing